### Function

# ECal ComponentText new_from_property

since: 3.46

#### Declaration [src]

    ECalComponentText*
    e_cal_component_text_new_from_property (
      const ICalProperty* property
    )

#### Description [src]

Created a new `ECalComponentText` filled with values from the `property`. The `property` should hold a text value.

Available since: 3.46

#### Parameters

`property`

  Type: `None`

  An `ICalProperty`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentText`

A newly allocated `ECalComponentText`.

The caller of the function takes ownership of the data, and is responsible for freeing it.